package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum GroupType implements BaseEnum<String, GroupType> {
	MUSIC("乐团课"),
	VIP("VIP课"),
	DEMO("试听课"),
	SPORADIC("零星收费"),
	PRACTICE("网管课"),
	COMM("对外课程"),
	REPAIR("乐器维修"),
	GOODS_SELL("商品销售"),
	OUTORDER("外部订单"),
	SUBJECT_CHANGE("声部更换");

	private String desc;

	private GroupType(String desc) {
		this.desc = desc;
	}

	@Override
	public String getCode() {
		return name();
	}

	public String getDesc() {
		return desc;
	}

}
